Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.extractor
Class XSSFEventBasedExcelExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor
              org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor

    public class XSSFEventBasedExcelExtractor

extends POIXMLTextExtractor

Implementation of a text extractor from OOXML Excel files that uses SAX event based parsing.

Constructor Summary
`XSSFEventBasedExcelExtractor(OPCPackage container)`
`XSSFEventBasedExcelExtractor(java.lang.String path)`

Method Summary
`POIXMLProperties.CoreProperties` | `getCoreProperties()` Returns the core document properties
`POIXMLProperties.CustomProperties` | `getCustomProperties()` Returns the custom document properties
`POIXMLProperties.ExtendedProperties` | `getExtendedProperties()` Returns the extended document properties
`OPCPackage` | `getPackage()` Returns the opened OPCPackage container.
`java.lang.String` | `getText()` Processes the file and returns the text
`static void` | `main(java.lang.String[] args)`
`void` | `processSheet(XSSFSheetXMLHandler.SheetContentsHandler sheetContentsExtractor, StylesTable styles, ReadOnlySharedStringsTable strings, java.io.InputStream sheetInputStream)` Processes the given sheet
`void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class org.apache.poi.POIXMLTextExtractor
`getDocument, getMetadataTextExtractor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFEventBasedExcelExtractor

    public XSSFEventBasedExcelExtractor(java.lang.String path)
                                 throws org.apache.xmlbeans.XmlException,
                                        OpenXML4JException,
                                        java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

### XSSFEventBasedExcelExtractor

    public XSSFEventBasedExcelExtractor(OPCPackage container)
                                 throws org.apache.xmlbeans.XmlException,
                                        OpenXML4JException,
                                        java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setIncludeSheetNames

    public void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

### setFormulasNotResults

    public void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

### setLocale

    public void setLocale(java.util.Locale locale)

### getPackage

    public OPCPackage getPackage()

  Returns the opened OPCPackage container.

  Overrides:
    `getPackage` in class `POIXMLTextExtractor`

### getCoreProperties

    public POIXMLProperties.CoreProperties getCoreProperties()

  Returns the core document properties

  Overrides:
    `getCoreProperties` in class `POIXMLTextExtractor`

### getExtendedProperties

    public POIXMLProperties.ExtendedProperties getExtendedProperties()

  Returns the extended document properties

  Overrides:
    `getExtendedProperties` in class `POIXMLTextExtractor`

### getCustomProperties

    public POIXMLProperties.CustomProperties getCustomProperties()

  Returns the custom document properties

  Overrides:
    `getCustomProperties` in class `POIXMLTextExtractor`

### processSheet

    public void processSheet(XSSFSheetXMLHandler.SheetContentsHandler sheetContentsExtractor,
                             StylesTable styles,
                             ReadOnlySharedStringsTable strings,
                             java.io.InputStream sheetInputStream)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

  Processes the given sheet

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getText

    public java.lang.String getText()

  Processes the file and returns the text

  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD